#!/bin/bash
set -e

copydelete() {
    scp "$1" "$2" && rm -f "$1"
}

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/f107/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_f107_xwhatsit_default.json
copydelete xwhatsit_ibm_f107_xwhatsit_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/f107/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_f107_wcass_default.json
copydelete xwhatsit_ibm_f107_wcass_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/f107/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_f107_universal_default.json
copydelete xwhatsit_ibm_f107_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/f104/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_f104_xwhatsit_default.json
copydelete xwhatsit_ibm_f104_xwhatsit_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/f104/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_f104_wcass_default.json
copydelete xwhatsit_ibm_f104_wcass_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/f104/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_f104_universal_default.json
copydelete xwhatsit_ibm_f104_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/3178/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_3178_xwhatsit_default.json
copydelete xwhatsit_ibm_3178_xwhatsit_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/3178/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_3178_wcass_default.json
copydelete xwhatsit_ibm_3178_wcass_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/3178/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_3178_universal_default.json
copydelete xwhatsit_ibm_3178_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/f62/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_f62_xwhatsit_default.json
copydelete xwhatsit_ibm_f62_xwhatsit_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/f62/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_f62_wcass_default.json
copydelete xwhatsit_ibm_f62_wcass_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/f62/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_f62_universal_default.json
copydelete xwhatsit_ibm_f62_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/f50/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_f50_xwhatsit_default.json
copydelete xwhatsit_ibm_f50_xwhatsit_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/f50/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_f50_wcass_default.json
copydelete xwhatsit_ibm_f50_wcass_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/f50/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_f50_universal_default.json
copydelete xwhatsit_ibm_f50_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/5251/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_5251_xwhatsit_rev4_default.json
copydelete xwhatsit_ibm_5251_xwhatsit_rev4_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/3276_3278_75key/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_3276_3278_75key_xwhatsit_rev4_default.json
copydelete xwhatsit_ibm_3276_3278_75key_xwhatsit_rev4_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/3101_3727_3278_87key/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_3101_3727_3278_87key_xwhatsit_rev4_default.json
copydelete xwhatsit_ibm_3101_3727_3278_87key_xwhatsit_rev4_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/3101_3727_3278_87key/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_3101_3727_3278_87key_universal_default.json
copydelete xwhatsit_ibm_3101_3727_3278_87key_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/3276_3278_75key/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_3276_3278_75key_universal_default.json
copydelete xwhatsit_ibm_3276_3278_75key_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/5251/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_5251_universal_default.json
copydelete xwhatsit_ibm_5251_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/sneakyrobb/beam104/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_sneakyrobb_beam104_universal_default.json
copydelete xwhatsit_sneakyrobb_beam104_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/brand_new_model_f/f62/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_brand_new_model_f_f62_wcass_default.json
copydelete xwhatsit_brand_new_model_f_f62_wcass_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/brand_new_model_f/f62/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_brand_new_model_f_f62_default.json
copydelete xwhatsit_brand_new_model_f_f62_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/brand_new_model_f/f62/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_brand_new_model_f_f62_xwhatsit_default.json
copydelete xwhatsit_brand_new_model_f_f62_xwhatsit_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/brand_new_model_f/f62/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_brand_new_model_f_f62_universal_default.json
copydelete xwhatsit_brand_new_model_f_f62_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/brand_new_model_f/f77/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_brand_new_model_f_f77_wcass_default.json
copydelete xwhatsit_brand_new_model_f_f77_wcass_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/brand_new_model_f/f77/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_brand_new_model_f_f77_default.json
copydelete xwhatsit_brand_new_model_f_f77_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/brand_new_model_f/f77/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_brand_new_model_f_f77_xwhatsit_default.json
copydelete xwhatsit_brand_new_model_f_f77_xwhatsit_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/brand_new_model_f/f77/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_brand_new_model_f_f77_universal_default.json
copydelete xwhatsit_brand_new_model_f_f77_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/3277_78key/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_3277_78key_xwhatsit_rev4_default.json
copydelete xwhatsit_ibm_3277_78key_xwhatsit_rev4_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/3277_78key/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_3277_78key_universal_default.json
copydelete xwhatsit_ibm_3277_78key_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/3277_66key/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_3277_66key_xwhatsit_rev4_default.json
copydelete xwhatsit_ibm_3277_66key_xwhatsit_rev4_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/3277_66key/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_3277_66key_universal_default.json
copydelete xwhatsit_ibm_3277_66key_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/3277_split_66key/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_3277_split_66key_xwhatsit_rev4_default.json
copydelete xwhatsit_ibm_3277_split_66key_xwhatsit_rev4_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/3277_split_66key/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_3277_split_66key_universal_default.json
copydelete xwhatsit_ibm_3277_split_66key_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/f122/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_f122_xwhatsit_default.json
copydelete xwhatsit_ibm_f122_xwhatsit_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/f122/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_f122_wcass_default.json
copydelete xwhatsit_ibm_f122_wcass_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/f122/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_f122_universal_default.json
copydelete xwhatsit_ibm_f122_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/4978/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_4978_universal_default.json
copydelete xwhatsit_ibm_4978_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/displaywriter/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_displaywriter_universal_default.json
copydelete xwhatsit_ibm_displaywriter_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/displaywriter/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_displaywriter_xwhatsit_default.json
copydelete xwhatsit_ibm_displaywriter_xwhatsit_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/fat/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_fat_universal_default.json
copydelete xwhatsit_ibm_fat_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/fat/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_fat_wcass_default.json
copydelete xwhatsit_ibm_fat_wcass_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/fat/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_fat_xwhatsit_default.json
copydelete xwhatsit_ibm_fat_xwhatsit_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/fssk/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_fssk_universal_default.json
copydelete xwhatsit_ibm_fssk_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/fssk/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_fssk_wcass_default.json
copydelete xwhatsit_ibm_fssk_wcass_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/fssk/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_fssk_xwhatsit_default.json
copydelete xwhatsit_ibm_fssk_xwhatsit_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/fext/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_fext_universal_default.json
copydelete xwhatsit_ibm_fext_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/fext/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_fext_wcass_default.json
copydelete xwhatsit_ibm_fext_wcass_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/fext/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_fext_xwhatsit_default.json
copydelete xwhatsit_ibm_fext_xwhatsit_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/typewriter_65_85_95/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_typewriter_65_85_95_universal_default.json
copydelete xwhatsit_ibm_typewriter_65_85_95_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/fxt_type_2/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_fxt_type_2_universal_default.json
copydelete xwhatsit_ibm_fxt_type_2_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/fxt_type_2/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_fxt_type_2_wcass_default.json
copydelete xwhatsit_ibm_fxt_type_2_wcass_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/fxt_type_2/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_fxt_type_2_xwhatsit_default.json
copydelete xwhatsit_ibm_fxt_type_2_xwhatsit_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/bigfoot_fxt_type_1/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_bigfoot_fxt_type_1_universal_default.json
copydelete xwhatsit_ibm_bigfoot_fxt_type_1_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/bigfoot_fxt_type_1/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_bigfoot_fxt_type_1_xwhatsit_rev4_default.json
copydelete xwhatsit_ibm_bigfoot_fxt_type_1_xwhatsit_rev4_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/xtant/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_xtant_universal_default.json
copydelete xwhatsit_ibm_xtant_universal_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/xtant/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_xtant_wcass_default.json
copydelete xwhatsit_ibm_xtant_wcass_default.json swingdracula.ro:

cd /home/andrew/qmk_firmware/keyboards/xwhatsit/ibm/xtant/keymaps/default/
python ~/cap/convert_keymapc_to_json.py > xwhatsit_ibm_xtant_xwhatsit_default.json
copydelete xwhatsit_ibm_xtant_xwhatsit_default.json swingdracula.ro:
